summaryrefslogtreecommitdiff
path: root/doc/usage.txt
diff options
context:
space:
mode:
Diffstat (limited to 'doc/usage.txt')
-rw-r--r--doc/usage.txt40
1 files changed, 40 insertions, 0 deletions
diff --git a/doc/usage.txt b/doc/usage.txt
new file mode 100644
index 0000000..51e7dc8
--- /dev/null
+++ b/doc/usage.txt
@@ -0,0 +1,40 @@
+This module contains various files needed to bootstrap Mate 2 modules
+built from CVS. It contains the following components:
+ 1. A common "autogen.sh" script that can be used to configure a
+ source directory checked out from CVS.
+ 2. Some commonly used macros (quite a small set these days -- macros
+ should be packaged with their respective modules).
+ 3. Some files used to build user documentation.
+
+To make use of the common autogen script, create a stub autogen.sh
+script in your module that looks something like this:
+
+---- Cut Here ----
+#!/bin/sh
+srcdir=`basename $0`
+[ -z "$srcdir" ] && srcdir=.
+
+PKG_NAME=mypackage
+REQUIRED_AUTOMAKE_VERSION=1.7
+
+if [ ! -f "$srcdir/somefile-that-is-only-in-mypackage" ]; then
+ echo "$srcdir doesn't look like source directory for $PKG_NAME" >&2
+ exit 1
+fi
+
+. mate-autogen.sh
+---- Cut Here ----
+
+Then put the following in your configure.ac or configure.in file:
+ MATE_COMMON_INIT
+
+This macro is equivalent to the following two lines (which you can use
+instead if you don't want to depend on mate-common macros):
+ AC_SUBST([ACLOCAL_AMFLAGS], ["\${ACLOCAL_FLAGS}"])
+
+Or if you are using the AC_CONFIG_MACRO_DIR macro:
+ AC_SUBST([ACLOCAL_AMFLAGS], ["-I $ac_macro_dir \${ACLOCAL_FLAGS}"])
+
+This will make sure that autoconf macros will be found when you
+rebuild the package without rerunning autogen.sh.
+